{
  config,
  lib,
  namespace,
  ...
}:
with lib;
let
  cfg = config.${namespace}.services.jellyfin;
in
{
  imports = [ ./options.nix ];

  config = mkIf cfg.enable {
    services.jellyfin = {
      enable = true;
      openFirewall = true;
      user = "nix-apps";
      group = "jallen-nas";
      dataDir = "/media/nas/main/nix-app-data/jellyfin";
      # cacheDir = "/cache";
    };
  };
}
